Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1547588

Summary: Review Request: nodejs-md5 - Javascript function for hashing messages with MD5
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-26 08:39:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 956806    

Description Jared Smith 2018-02-21 15:03:42 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-md5/nodejs-md5.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-md5/nodejs-md5-2.2.1-1.fc28.src.rpm
Description: Javascript function for hashing messages with MD5
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 🐧 2018-02-21 21:14:09 UTC
 - nodejs-md5.src:23: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 6)

   There are spaces instead of tabs line 23-24-25:

BuildRequires:	npm(charenc)
BuildRequires:	npm(crypt)
BuildRequires:	npm(is-buffer)


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors

Package approved.

Comment 2 Jared Smith 2018-02-25 16:11:19 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/4722.

Comment 3 Gwyn Ciesla 2018-02-25 20:29:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-md5

Comment 4 Jared Smith 2018-02-26 08:39:51 UTC
Built in Rawhide.